<template>
  <v-row>
    <v-col cols="4">
      <v-subheader>
        {{ fieldName }}&nbsp
        <h3 v-if="obligatory" class="primary--text">
          *
        </h3>
        <h3 v-else>
          (opcional)
        </h3>
        :
      </v-subheader>
    </v-col>
    <v-col cols="7">
      <no-ssr>
        <vue-google-autocomplete
          id="inputVal"
          v-model="inputVal"
          class="field-class"
          placeholder="Ingrese Domicilio"
          :disabled="disabled"
          @placechanged="getAddressData"
        />
      </no-ssr>
    </v-col>
  </v-row>
</template>

<script>

export default {
  name: 'DirectionsField',
  components: {
    VueGoogleAutocomplete: () => import('vue-google-autocomplete'),
  },
  props: {
    'value': { default: '', type: String },
    'fieldName': { default: '', type: String },
    'placeHolder': { default: '', type: String },
    'disabled': { default: false, type: Boolean },
    'obligatory': { default: true, type: Boolean },
  },
  data() {
    return {
      error: '',
      spinner: false,
    };
  },
  computed: {
    inputVal: {
      get() {
        return this.value;
      },
      set(val) {
        this.$emit('input', val);
      },
    },
  },
  methods: {
    getAddressData(addressData, placeResultData, id) {
      this.inputVal = addressData.route;
    },
  },
};
</script>

<style scoped>
.pac-icon{
    display: none;
}
.pac-item{
    padding:10px;
    font-size: 16px;
    cursor: pointer;
}
.pac-item:hover {
    background-color: #ececec;
}
.field-class{
  padding:15px;
  width: 100%;
  border: 1px solid #BDBDBD;
  border-radius: 5px;
  outline: none;
  font-size: 1.00rem;
}
</style>
